> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supahub.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Boards

> Retrieve a list of Boards for your workspace.

<ParamField body="GET" type="method" />

<ParamField body="/boards" type="path" />

### Query Parameters

Below are the query parameters available for customizing the response:

<ParamField body="sort" default="asc" type="asc | desc">
  Sorted by created date of the board.
</ParamField>

<ParamField body="privacy" default="all" type="all | public | private">
  Filters boards based on their privacy settings.
</ParamField>

<ParamField body="limit" default="10" type="1-100">
  Defines the number of boards to retrieve in one request.
</ParamField>

<ParamField body="page" default="1" type="1-n">
  Specifies the page number of results to retrieve.
</ParamField>

<RequestExample>
  ```javascript curl theme={null}
  // Replace API_KEY with your api key
  curl --location 'https://api.supahub.com/api/v1/boards?sort=asc&privacy=all&limit=10&page=1' \
  --header 'Authorization: Bearer API_KEY'
  ```

  ```javascript fetch theme={null}
  const myHeaders = new Headers();
  myHeaders.append("Authorization", "Bearer API_KEY"); // Replace API_KEY with your api key

  const requestOptions = {
    method: "GET",
    headers: myHeaders,
    redirect: "follow",
  };

  fetch(
    "https://api.supahub.com/api/v1/boards?sort=asc&privacy=all&limit=10&page=1",
    requestOptions
  )
    .then((response) => response.text())
    .then((result) => console.log(result))
    .catch((error) => console.error(error));
  ```

  ```javascript axios theme={null}
  const axios = require("axios");

  let config = {
    method: "get",
    maxBodyLength: Infinity,
    url: "https://api.supahub.com/api/v1/boards?sort=asc&privacy=all&limit=10&page=1",
    headers: {
      Authorization: "Bearer API_KEY", // Replace API_KEY with your api key
    },
  };

  async function makeRequest() {
    try {
      const response = await axios.request(config);
      console.log(JSON.stringify(response.data));
    } catch (error) {
      console.log(error);
    }
  }

  makeRequest();
  ```

  ```python python theme={null}
  import requests

  url = "https://api.supahub.com/api/v1/boards?sort=asc&privacy=all&limit=10&page=1"

  headers = {
    'Authorization': 'Bearer API_KEY' # Replace API_KEY with your key.
  }

  response = requests.request("GET", url, headers=headers)

  print(response.text)
  ```
</RequestExample>
